with GNATCOM.Dispinterface;

package MSHTML.ISVGPathSegArcRel_Interface is

   type ISVGPathSegArcRel_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGPathSegArcRel_Type);

   function Pointer (This : ISVGPathSegArcRel_Type)
     return Pointer_To_ISVGPathSegArcRel;

   procedure Attach (This    : in out ISVGPathSegArcRel_Type;
                     Pointer : in     Pointer_To_ISVGPathSegArcRel);

   procedure Put_x
     (This : ISVGPathSegArcRel_Type;
      p    : Interfaces.C.C_float);

   function Get_x
     (This : ISVGPathSegArcRel_Type)
     return Interfaces.C.C_float;

   procedure Put_y
     (This : ISVGPathSegArcRel_Type;
      p    : Interfaces.C.C_float);

   function Get_y
     (This : ISVGPathSegArcRel_Type)
     return Interfaces.C.C_float;

   procedure Put_r1
     (This : ISVGPathSegArcRel_Type;
      p    : Interfaces.C.C_float);

   function Get_r1
     (This : ISVGPathSegArcRel_Type)
     return Interfaces.C.C_float;

   procedure Put_r2
     (This : ISVGPathSegArcRel_Type;
      p    : Interfaces.C.C_float);

   function Get_r2
     (This : ISVGPathSegArcRel_Type)
     return Interfaces.C.C_float;

   procedure Put_angle
     (This : ISVGPathSegArcRel_Type;
      p    : Interfaces.C.C_float);

   function Get_angle
     (This : ISVGPathSegArcRel_Type)
     return Interfaces.C.C_float;

   procedure Put_largeArcFlag
     (This : ISVGPathSegArcRel_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_largeArcFlag
     (This : ISVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_sweepFlag
     (This : ISVGPathSegArcRel_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_sweepFlag
     (This : ISVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT_BOOL;

end MSHTML.ISVGPathSegArcRel_Interface;

